Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.ix.jspTutorial.controller
Class JspTutorialStartServlet

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--de.ix.jspTutorial.controller.JspTutorialStartServlet

public class JspTutorialStartServlet
extends javax.servlet.GenericServlet

Initialize a well controlled access to the database. Shuting down the container will also free the accessor

Version:
  $Id:$
Author:
  Peter Rossbach (pr@webapp.de), Lars Röwekamp ( lars.roewekamp@openKnowledge.de)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `vcid` version of source

Fields inherited from class javax.servlet.GenericServlet
`config`

Constructor Summary
`JspTutorialStartServlet()`

Method Summary
`void` | `destroy()` Close accessor if necessary.
`void` | `init(javax.servlet.ServletConfig aConfig)` Create database connection
`void` | `service(javax.servlet.ServletRequest req, javax.servlet.ServletResponse res)` No service defined

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### vcid

    public static java.lang.String vcid

  version of source

Constructor Detail

### JspTutorialStartServlet

    public JspTutorialStartServlet()

Method Detail

### init

    public void init(javax.servlet.ServletConfig aConfig)
              throws javax.servlet.ServletException

  Create database connection
  Overrides:
    init in class javax.servlet.GenericServlet
  Parameters:
    `aConfig` - The servlet configuration
  Throws:
    javax.servlet.ServletException -

### service

    public void service(javax.servlet.ServletRequest req,
                        javax.servlet.ServletResponse res)
                 throws javax.servlet.ServletException,
                        java.io.IOException

  No service defined
  Overrides:
    service in class javax.servlet.GenericServlet
  Parameters:
    `req` - current request
    `res` - response object
  Throws:
    javax.servlet.ServletException -
    IOException -

### destroy

    public void destroy()

  Close accessor if necessary.
  Overrides:
    destroy in class javax.servlet.GenericServlet
  See Also:
    `PizzaAccessor`, `ModelManager.getPizzaAccessor()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

~ Das iX JSP Tutorial III - © 2000 by Peter Roßbach ~